define temp-table song RCODE-INFORMATION
  field Artist     as character label 'Artist'    format 'x(12)'
  field Album      as character label 'Album'     format 'x(12)'
  field Track#     as integer   label 'Track#'    format '>>9'   extent 3
  field TrackName  as character label 'TrackName' format 'x(40)'
  .

define variable cOptions as character no-undo.

procedure add-one :
  define input parameter t-Artist     as character  no-undo.
  define input parameter t-Album      as character  no-undo.
  define input parameter t-Track#     as integer    no-undo.
  define input parameter t-TrackName  as character  no-undo.
  define variable cnt as integer no-undo.
  create song.
  assign song.Artist     = t-Artist
         song.Album      = t-Album
         song.Track#[1]  = t-Track#
         song.Track#[2]  = t-Track# + 1
         song.Track#[3]  = t-Track# + 2
         song.TrackName  = t-TrackName.
end procedure.

run add-one("Pink Floyd", "The Wall", 1, "In the flesh").
run add-one("Pink Floyd", "The Wall", 2, "Thin ice").
run add-one("Pink Floyd", "The Wall", 3, "Another brick in the wall").
run add-one("Pink Floyd", "The Wall", 4, "The Happiest Days Of Our Lives").
run add-one("Pink Floyd", "Meddle",   1, "One of these days").
run add-one("Pink Floyd", "Meddle",   2, "A pillow of winds").
run add-one("Pink Floyd", "Meddle",   3, "Fearless").
run add-one("Pink Floyd", "Meddle",   4, "San Tropez").
run add-one("Pink Floyd", "Meddle",   5, "Seamus").
run add-one("Pink Floyd", "Meddle",   6, "Echoes").
run add-one("Flink Poyd", "The Wall", 1, "In the flesh").
run add-one("Flink Poyd", "The Wall", 2, "Thin ice").
run add-one("Flink Poyd", "The Wall", 3, "Another brick in the wall").
run add-one("Flink Poyd", "The Wall", 4, "The Happiest Days Of Our Lives").
run add-one("Flink Poyd", "Meddle",   1, "One of these days").
run add-one("Flink Poyd", "Meddle",   2, "A pillow of winds").
run add-one("Flink Poyd", "Meddle",   3, "Fearless").
run add-one("Flink Poyd", "Meddle",   4, "San Tropez").
run add-one("Flink Poyd", "Meddle",   5, "Seamus").
run add-one("Flink Poyd", "Meddle",   6, "Echoes").

cOptions = chr(1) + "SubTotal:Track#[1],TrackName"
      /* + chr(1) + "SubBreak:Album,Artist" */
         + chr(1) + "SubBreak:Artist,Album"
         .

run value("H:\Progress Notes\UPLOADS\tt-file-13\tt-file.p")
  (input temp-table song:handle,
   input 'temp.txt',
   input "TXT" + cOptions).

run value("H:\Progress Notes\UPLOADS\tt-file-13\tt-file.p")
  (input temp-table song:handle,
   input 'temp.csv',
   input "CSV" + cOptions).

run value("H:\Progress Notes\UPLOADS\tt-file-13\tt-file.p")
  (input temp-table song:handle,
   input 'temp.slk',
   input "SLK" + cOptions).

run value("H:\Progress Notes\UPLOADS\tt-file-13\tt-file.p")
  (input temp-table song:handle,
   input 'temp.xls',
   input "XLS" + cOptions).

os-command no-wait start temp.txt.
os-command no-wait start temp.csv.
os-command no-wait start temp.slk.
os-command no-wait start H:\Excel\temp.xls.
